from nullptr.analyzer import find_trade


def assign_trader(c, s):
  t = find_trade(c, s.location.system)
  if t is None:
    print(f"No trade for {s} found. Idling")
    c.captain.init_mission(s,'idle')
    c.captain.smipa(s, 'seconds', 600)
    return
  s.log(f'assigning {s} to deliver {t.resource} from {t.source} to {t.dest} at a margin of {t.margin}')
  c.captain.init_mission(s, 'trade')
  c.captain.smipa(s, 'site', t.source)
  c.captain.smipa(s, 'dest', t.dest)